%global modulename remark-parse

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-remark-parse
Version:        6.0.3
Release:        1%{?dist}
Summary:        Markdown parser for remark

License:        MIT
URL:            https://remark.js.org
Source0:        https://registry.npmjs.org/remark-parse/-/remark-parse-6.0.3.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(collapse-white-space) >= 1.0.2 with npmlib(collapse-white-space) < 2.0.0))
BuildRequires:  ((npmlib(is-alphabetical) >= 1.0.0 with npmlib(is-alphabetical) < 2.0.0))
BuildRequires:  ((npmlib(is-decimal) >= 1.0.0 with npmlib(is-decimal) < 2.0.0))
BuildRequires:  ((npmlib(is-whitespace-character) >= 1.0.0 with npmlib(is-whitespace-character) < 2.0.0))
BuildRequires:  ((npmlib(is-word-character) >= 1.0.0 with npmlib(is-word-character) < 2.0.0))
BuildRequires:  ((npmlib(markdown-escapes) >= 1.0.0 with npmlib(markdown-escapes) < 2.0.0))
BuildRequires:  ((npmlib(parse-entities) >= 1.1.0 with npmlib(parse-entities) < 2.0.0))
BuildRequires:  ((npmlib(repeat-string) >= 1.5.4 with npmlib(repeat-string) < 2.0.0))
BuildRequires:  ((npmlib(state-toggle) >= 1.0.0 with npmlib(state-toggle) < 2.0.0))
BuildRequires:  ((npmlib(trim) = 0.0.1))
BuildRequires:  ((npmlib(trim-trailing-lines) >= 1.0.0 with npmlib(trim-trailing-lines) < 2.0.0))
BuildRequires:  ((npmlib(unherit) >= 1.0.4 with npmlib(unherit) < 2.0.0))
BuildRequires:  ((npmlib(unist-util-remove-position) >= 1.0.0 with npmlib(unist-util-remove-position) < 2.0.0))
BuildRequires:  ((npmlib(vfile-location) >= 2.0.0 with npmlib(vfile-location) < 3.0.0))
BuildRequires:  ((npmlib(xtend) >= 4.0.1 with npmlib(xtend) < 5.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Markdown parser for remark

%package 6.0.3
Summary:        Markdown parser for remark


%description 6.0.3
Markdown parser for remark

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc readme.md
%{nodejs_dir}/%{modulename}

%files 6.0.3
%doc readme.md
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Dec 5 2018 npm2srpm <dshea@redhat.com> - 6.0.3-1
- Package automatically generated by npm2srpm
